Bug 1370257 - ceph-installer should ignore floppy devices on install [NEEDINFO]
Summary: ceph-installer should ignore floppy devices on install
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 3.1
Assignee: Christina Meno
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-25 18:16 UTC by Jeff Applewhite
Modified: 2018-02-06 18:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 18:22:42 UTC
Target Upstream Version:
kdreyer: needinfo? (japplewh)


Attachments (Terms of Use)

Description Jeff Applewhite 2016-08-25 18:16:54 UTC
Description of problem:
when installing ceph floppy devices get detected and potentially can be used for journals or osds. 

Version-Release number of selected component (if applicable):

2.0 

How reproducible:
always

Steps to Reproduce:
1.install ceph on a piece of hardware with a floppy device inserted (or a virtual fd)
2.
3.

Actual results:
fd gets used as a valid device

Expected results:
floppies are never considered or used

Additional info:

Comment 3 Ken Dreyer (Red Hat) 2017-03-02 17:33:16 UTC
The RHSCON agent is telling the rest of Console which devices are available for use. Can the agent look up this device information on the node, and simply not report floppy disk devices?


Note You need to log in before you can comment on or make changes to this bug.